Implement (dumb) formatter for quantities with units based on URIs
Closed, ResolvedPublic1 Story Points

Description

The formatter should:

  • if the URI is the special "no unit" URI, show no unit.
  • if the URI refers to a local item, show the item's label (in the target language, with fallback applied)
    • showing a "unit symbol" based on a statement is left for later (T77983)
  • otherwise, just show the unit URI

TBD: 3rd party clients must have an efficient way to query and use unit labels.

Tobi_WMDE_SW updated the task description. (Show Details)
Tobi_WMDE_SW raised the priority of this task from to Normal.
Tobi_WMDE_SW added a project: Wikidata.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 11 2015, 1:39 PM
aude renamed this task from Implement (dump) formatter for quantities with units based on URIs to Implement (dumb) formatter for quantities with units based on URIs.Mar 11 2015, 1:42 PM
aude set Security to None.
JanZerebecki moved this task from incoming to ready to go on the Wikidata board.May 16 2015, 10:49 PM
daniel updated the task description. (Show Details)May 23 2015, 2:35 PM
daniel updated the task description. (Show Details)
jeblad added a subscriber: jeblad.May 24 2015, 5:15 PM
Snipre added a subscriber: Snipre.Jun 7 2015, 8:07 PM
Addshore assigned this task to thiemowmde.
Lydia_Pintscher closed this task as Resolved.Jun 12 2015, 9:42 AM
daniel reopened this task as Open.Jun 12 2015, 10:57 AM

Not quite there yet. This still needs Id86dba7df and Ia6c66f7a001 to go in. The latter is waiting for packagist to finally pick up the 0.5 release of data-values/number.

Packagist has picked it up now.

Bene moved this task from Done to Doing on the Wikidata-Sprint-2015-06-02 board.Jun 12 2015, 2:23 PM

Change 218917 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Clean up architecture of unit formatting

https://gerrit.wikimedia.org/r/218917

Change 216713 merged by jenkins-bot:
Show entity labels for quantity units

https://gerrit.wikimedia.org/r/216713

Snipre removed a subscriber: Snipre.Jun 17 2015, 3:39 PM
daniel closed this task as Resolved.Jun 17 2015, 3:50 PM

Resolved, since the functionality is now implemented.

@thiemo: for restricting the formatting to items, or restricting unit uris using a validator, please file a separate ticket, so we can keep these issues separate.